Traefik config to host gitlab pages including previews directly from the [gitlab artifacts API](https://docs.gitlab.com/ce/api/job_artifacts.html). 

Does only some header rewriting,a gitlab does not set the mime-types correctly (partially on purpose to not allow some scripting attacks)